# Inviti a cena - variante con cliques e clique inequalities

# DATI
set V;
param g {V};
param nK;
set K := 1..nK;
set C {K} within V;

# VARIABILI
var x {V} binary;

# VINCOLI
subject to Clique_ineq {k in K}:
  sum {i in C[k]} x[i] <= 1;

# OBIETTIVO
maximize z: sum {i in V} g[i] * x[i];

#################
data;

param: V:  g :=
Samantha 100
Jessica  100
Melissa   90
Pamela    85
Naomi     50
Anastasia 20
Genoveffa 15
Grimilde  10;

param nK := 7;

set C [1] := Samantha, Jessica, Melissa;
set C [2] := Jessica, Melissa, Pamela;
set C [3] := Jessica, Grimilde;
set C [4] := Melissa, Genoveffa;
set C [5] := Pamela, Naomi;
set C [6] := Grimilde, Genoveffa, Naomi;
set C [7] := Grimilde, Genoveffa, Anastasia;

end;
