# Inviti a cena - variante con lati del grafo e vincoli di incoompatibilit tra coppie

# DATI
set V;
param g {V};
set E within V cross V;

# VARIABILI
var x {V} binary;

# VINCOLI
subject to Incompatibility {(i,j) in E}:
  x[i] + x[j] <= 1;

# OBIETTIVO
maximize z: sum {i in V} g[i] * x[i];

#################
data;

param: V:  g :=
Samantha 100
Jessica  100
Melissa   90
Pamela    85
Naomi     50
Anastasia 20
Genoveffa 15
Grimilde  10;

set E :=
Samantha, Jessica, 
Melissa, Samantha, 
Jessica, Melissa, 
Pamela, Jessica,
Melissa, Pamela,
Jessica, Grimilde,
Melissa, Genoveffa,
Pamela, Naomi,
Grimilde, Genoveffa, 
Naomi, Grimilde, 
Genoveffa, Naomi,
Anastasia, Grimilde, 
Genoveffa, Anastasia;

end;
