# Inviti a cena - variante con matrice di adiacenza del grafo

# DATI
set V;
param g {V};
param A {V,V} binary default 0;

# VARIABILI
var x {V} binary;

# VINCOLI
subject to Incompatibility {i in V, j in V: A[i,j] = 1}:
  x[i] + x[j] <= 1;

# OBIETTIVO
maximize z: sum {i in V} g[i] * x[i];

###########
data;

param: V:  g :=
Samantha 100
Jessica  100
Melissa   90
Pamela    85
Naomi     50
Anastasia 20
Genoveffa 15
Grimilde  10;

param A :=
[Samantha, Jessica]     1
[Melissa, Samantha]     1
[Jessica, Melissa]      1
[Pamela, Jessica]       1
[Melissa, Pamela]       1
[Jessica, Grimilde]     1
[Melissa, Genoveffa]    1
[Pamela, Naomi]         1
[Grimilde, Genoveffa]   1
[Naomi, Grimilde]       1
[Genoveffa, Naomi]      1
[Anastasia, Grimilde]   1
[Genoveffa, Anastasia]  1;

end;
